SuperLU 6.0.0

Functions
clinsolx2.c File Reference
Example

CGSSVX to solve systems repeatedly with the same sparsity pattern of matrix A. More...

`#include <unistd.h>`
`#include "slu_cdefs.h"`
Include dependency graph for clinsolx2.c:

## Functions
int | main (int argc, char *argv[])
void | parse_command_line (int argc, char *argv[], int *lwork, double *u, yes_no_t *equil, trans_t *trans)
| Parse command line options to get relaxed snode size, panel size, etc. More...

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

The driver program CLINSOLX2.

This example illustrates how to use CGSSVX to solve systems repeatedly with the same sparsity pattern of matrix A. In this case, the column permutation vector perm_c is computed once. The following data structures will be reused in the subsequent call to CGSSVX: perm_c, etree

Here is the call graph for this function:

## ◆ parse_command_line()

void parse_command_line | ( | int | argc,
|  | char * | argv[],
|  | int * | lwork,
|  | double * | u,
|  | yes_no_t * | equil,
|  | trans_t * | trans
| ) |  |